angular.module('WebTrax.services')

.factory('$localstorage', ['$window', function ($window) {
	return {
		set: function (key, value) {
			$window.localStorage[key] = value;
		},
		get: function (key, defaultValue) {
			return $window.localStorage[key] || defaultValue;
		},
		setObject: function (key, value) {
			$window.localStorage[key] = JSON.stringify(value);
		},
		getObject: function (key) {
			return JSON.parse($window.localStorage[key] || '{}');
		},
		clear: function () {
			$window.localStorage.clear();
		},
		getCurrentUser: function () {
			return $window.localStorage['currentUser'];
		},
		setCurrentUser: function (value) {
			$window.localStorage['currentUser'] = value;
		},
		getAutoLogin: function () {
			return $window.localStorage['AutoLogin'];
		},
		setAutoLogin: function (value) {
			$window.localStorage['AutoLogin'] = value;
		},

	}
}]);
