var exec = require('cordova/exec');

function KeyManager() {
	this.serviceName = "KeyManager";
};

KeyManager.prototype.retrieve = function(appName, key, successCallback, failureCallback) {
	exec(successCallback, failureCallback, this.serviceName, "retrieve", [key, appName]);
}

KeyManager.prototype.store = function(appName, key, value, successCallback, failureCallback) {
	exec(successCallback, failureCallback, this.serviceName, "store", [key, appName, value]);
}

KeyManager.prototype.remove = function(appName, key, successCallback, failureCallback) {
	exec(successCallback, failureCallback, this.serviceName, "remove", [key, appName]);
}

module.exports = new KeyManager();
