cordova.define("com.amdocs.cookiemanager.cookies", function(require, exports, module) {
var exec = require('cordova/exec');

function CookiesManager() {
    
};

CookiesManager.prototype.clear = function(successCallback, errorCallback) {
    exec(successCallback, errorCallback, "Cookies", "clear", []);
};

CookiesManager.prototype.exists = function(url, name, successCallback, errorCallback) {
	exec(successCallback, errorCallback, "Cookies", "exists", [url, name]);
};


/**
 * EDS functionality
 */

CookiesManager.prototype.canAutoLogin = function(userName, successCallback, errorCallback) {
  exec(successCallback, errorCallback, "Cookies", "canAutoLogin", [userName]);
};

CookiesManager.prototype.storeAutoLoginInfo = function(userName, edsCookieName, edsCookieDomain, successCallback, errorCallback) {
    exec(successCallback, errorCallback, "Cookies", "storeAutoLoginInfo", [userName, edsCookieName, edsCookieDomain]);
};
               
CookiesManager.prototype.clearAutoLoginInfo = function(userName, successCallback, errorCallback) {
    exec(successCallback, errorCallback, "Cookies", "clearAutoLoginInfo", [userName]);
};
               
CookiesManager.prototype.isAutoLoginSupported = function(successCallback, errorCallback) {
    exec(successCallback, errorCallback, "Cookies", "isAutoLoginSupported", []);
};

CookiesManager.prototype.addAutoLoginCookie = function(userName, edsCookieDomain, successCallback, errorCallback) {
    exec(successCallback, errorCallback, "Cookies", "addAutoLoginCookie", [userName, edsCookieDomain]);
};
               
module.exports = new CookiesManager();

});
